package com.cusc.nirvana.user.rnr.fp.constants;

public enum InstructionRespEnum {
    SUCCESS(true, ""),
    REQUEST_ID_MISSING(false, "指令标识缺失"),
    ICCID_MISSING(false, "ICCID缺失");
//    USER_UPLOAD_FAILED(false, "开户信息上传失败"),
//    FILE_UPLOAD_FAILED(false, "开户图片类信息上传失败"),
//    VEHICLE_UPLOAD_FAILED(false, "车辆信息上传失败"),
//    ERROR(false, "上传失败,内部错误，请联系管理员!");

    private boolean success;
    private String msg;

    InstructionRespEnum(boolean success, String msg) {
        this.success = success;
        this.msg = msg;
    }

    public boolean isSuccess() {
        return success;
    }

    public String getMsg() {
        return msg;
    }
}
